Bug 486723 - Review Request: webkit-sharp - .NET bindings for WebKit
Review Request: webkit-sharp - .NET bindings for WebKit
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Paul Lange
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-21 08:11 EST by David Nielsen
Modified: 2009-02-27 22:28 EST (History)
3 users (show)

See Also:
Fixed In Version: 0.2-1.fc10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-02-26 20:11:03 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
palango: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description David Nielsen 2009-02-21 08:11:01 EST
Spec URL: http://dnielsen.fedorapeople.org/webkit-sharp.spec
SRPM URL: http://dnielsen.fedorapeople.org/webkit-sharp-0.2-1.fc11.src.rpm
Description: .NET bindings for WebKit
Comment 1 Paul Lange 2009-02-26 12:29:07 EST
- MUST: rpmlint must be run on every package. The output should be posted
in the review.
webkit-sharp.i386: E: no-binary
webkit-sharp.i386: E: only-non-binary-in-usr-lib
2 packages and 0 specfiles checked; 2 errors, 0 warnings.
Errors can be ignored.

- MUST: The package must be named according to the Package Naming Guidelines
OK

- MUST: The spec file name must match the base package %{name}, in the
format %{name}.spec
OK

- MUST: The package must meet the Packaging Guidelines.
OK

- MUST: The package must be licensed with a Fedora approved license and meet
the  Licensing Guidelines .
OK

- MUST: The License field in the package spec file must match the actual
license.
OK

- MUST: If (and only if) the source package includes the text of the license(s)
in its own file, then that file, containing the text of the license(s) for the
package must be included in %doc.
OK

- MUST: The spec file must be written in American English.
OK

- MUST: The spec file for the package MUST be legible.
OK

- MUST: The sources used to build the package must match the upstream source,
as provided in the spec URL. Reviewers should use md5sum for this task. If no
upstream URL can be specified for this package, please see the Source URL
Guidelines for how to deal with this.
OK

- MUST: The package MUST successfully compile and build into binary rpms on at
least one primary architecture.
OK - i386

- MUST: If the package does not successfully compile, build or work on an
architecture, then those architectures should be listed in the spec in
ExcludeArch. Each architecture listed in ExcludeArch MUST have a bug filed in
bugzilla, describing the reason that the package does not compile/build/work on
that architecture. The bug number MUST be placed in a comment, next to the
corresponding ExcludeArch line.
OK

- MUST: All build dependencies must be listed in BuildRequires, except for any
that are listed in the exceptions section of the Packaging Guidelines ;
inclusion of those as BuildRequires is optional. Apply common sense.
OK

- MUST: A package must not contain any duplicate files in the %files listing.
OK

- MUST: Permissions on files must be set properly. Executables should be set
with executable permissions, for example. Every %files section must include a
%defattr(...) line.
OK

- MUST: Each package must have a %clean section, which contains rm -rf
%{buildroot} (or $RPM_BUILD_ROOT).
OK

- MUST: Each package must consistently use macros.
OK

- MUST: The package must contain code, or permissable content.
OK

- MUST: Header files must be in a -devel package.
OK

- MUST: Packages containing pkgconfig(.pc) files must 'Requires: pkgconfig'
(for directory ownership and usability).
OK

- MUST: In the vast majority of cases, devel packages must require the base
package using a fully versioned dependency: Requires: %{name} =
%{version}-%{release}
OK

- MUST: Packages must not own files or directories already owned by other
packages. The rule of thumb here is that the first package to be installed
should own the files or directories that other packages may rely upon. This
means, for example, that no package in Fedora should ever share ownership with
any of the files or directories owned by the filesystem or man package. If you
feel that you have a good reason to own a file or directory that another
package owns, then please present that at package review time.
OK

- MUST: At the beginning of %install, each package MUST run rm -rf %{buildroot}
(or $RPM_BUILD_ROOT).
OK

- MUST: All filenames in rpm packages must be valid UTF-8.
OK

############################################################

Monodoc is excluded until we figured out how to handle docs right. 

One thing I noticed it that version of the package is 0.2. But in mono/gac the version of the assembly is 1.0.0.0. But I think this is an upstream issue.

APPROVED
Comment 2 David Nielsen 2009-02-26 13:47:18 EST
New Package CVS Request
=======================
Package Name: webkit-sharp
Short Description: .NET bindings for WebKit
Owners: dnielsen
Branches: F-9 F-10
InitialCC:
Comment 3 Kevin Fenzi 2009-02-26 19:16:18 EST
cvs done.
Comment 4 Fedora Update System 2009-02-26 20:01:46 EST
webkit-sharp-0.2-1.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/webkit-sharp-0.2-1.fc9
Comment 5 Fedora Update System 2009-02-26 20:02:02 EST
webkit-sharp-0.2-1.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/webkit-sharp-0.2-1.fc10
Comment 6 David Nielsen 2009-02-26 20:11:03 EST
webkit-sharp should be in the next rawhide update
Comment 7 Fedora Update System 2009-02-27 22:23:41 EST
webkit-sharp-0.2-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2009-02-27 22:28:19 EST
webkit-sharp-0.2-1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.